Main Page Namespace List Class Hierarchy Compound List File List Namespace Members Compound Members File Members

# mysqlpp::MysqlCmpCStr< BinaryPred > Class Template Reference

const char* specialization of MysqlCmp More...

`#include <compare.h>`

Inheritance diagram for mysqlpp::MysqlCmpCStr< BinaryPred >:

[legend]
Collaboration diagram for mysqlpp::MysqlCmpCStr< BinaryPred >:

[legend]
List of all members.

## Public Methods
| MysqlCmpCStr (uint i, const BinaryPred &f, const char *c)
| MysqlCmpCStr constructor.
bool | operator() (const Row &cmp1) const
| Run the predicate function on this row and the object's data, and return its value.

## Detailed Description

### template<class BinaryPred>
class mysqlpp::MysqlCmpCStr< BinaryPred >

const char* specialization of MysqlCmp

See also:
  mysql_cmp_cstr

## Constructor & Destructor Documentation

template<class BinaryPred>
mysqlpp::MysqlCmpCStr< BinaryPred >::MysqlCmpCStr | ( | uint | i,
|  | const BinaryPred & | f,
|  | const char * | c
| ) | `[inline]`

  | MysqlCmpCStr constructor. Parameters:
  i | field number within a row to compare against
  f | predicate function
  c | what to compare row element against
operator() for this object compares Row[i] to c using f.

## Member Function Documentation

template<class BinaryPred>
bool mysqlpp::MysqlCmpCStr< BinaryPred >::operator() | ( | const Row & | cmp1 | ) | const`[inline]`

| Run the predicate function on this row and the object's data, and return its value. See the constructor's parameters for what we compare against. Reimplemented from mysqlpp::MysqlCmp< BinaryPred, const char * >.

The documentation for this class was generated from the following file:

- compare.h